#include <iostream>

using namespace std;
int main() {
  int N,K,X;
  cin>>N>>K;
 
  int meta[2*N+1];
 
  for(int i=0;i<=2*N;i++){
meta[i]=0;
}

  for (int i=0;i<N;i++){
    cin>>X;
    meta[X+N]++;
  }
 int br=0;
for(int i=0;i<=2*N;i++){
if (meta[i]>=K){
  br++;
}
}
cout<<br<<endl;

for(int i=0;i<=2*N;i++){
if (meta[i]>=K){
  cout<<i-N<<" ";
}
}

}